Lists associations in a given project and location.

### HTTP request

`GET https://networksecurity.googleapis.com/v1/{parent=projects/*/locations/*}/firewallEndpointAssociations`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource from which the firewall endpoint associations are listed. Format: `projects/{project}/locations/{location}`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Requested page size. The server might return fewer items than requested. The maximum value is 1000; values above 1000 are coerced to 1000. If unspecified, the server picks an appropriate default. |
| `pageToken` | `string` A page token, received from a previous `firewallEndpointAssociations.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `firewallEndpointAssociations.list` must match the call that provided the page token. |
| `filter` | `string` Optional. Filtering results. |
| `orderBy` | `string` Hint for how to order the results. |

### Request body

The request body must be empty.

### Response body

Message for response to listing associations.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "firewallEndpointAssociations": [ { object (`https://docs.cloud.google.com/firewall/docs/reference/network-security/rest/v1/projects.locations.firewallEndpointAssociations#FirewallEndpointAssociation`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `firewallEndpointAssociations[]` | ``object (`https://docs.cloud.google.com/firewall/docs/reference/network-security/rest/v1/projects.locations.firewallEndpointAssociations#FirewallEndpointAssociation`)`` The list of associations. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Locations that could not be reached. The list of unreachable locations might expand in the future. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).